1. BlackberryCheeseCake's Avatar
    I have bought on Ebay a BB 8707V which was originally on Vodafone as branded, but it was unlocked and now I use it on O2 in the UK, I wanted to browse sites with flash in particular youtube, however, I couldn't because I didn't have the right software, I installed Bolt and Opera but these are running old versions and they do not let me use flash.

    How can I install the latest OS for it, and be able to play flash if possible and retain the fact it is unlocked to my O2 network? it says in About I have v4.2.1.94 (Platform 3.3.0.21)

    Thanks in advance,
    Last edited by BlackberryCheeseCake; 07-08-10 at 06:51 AM. Reason: spelling error
    07-08-10 06:48 AM
  2. theonecid's Avatar
    I have bought on Ebay a BB 8707V which was originally on Vodafone as branded, but it was unlocked and now I use it on O2 in the UK, I wanted to browse sites with flash in particular youtube, however, I couldn't because I didn't have the right software, I installed Bolt and Opera but these are running old versions and they do not let me use flash.

    How can I install the latest OS for it, and be able to play flash if possible and retain the fact it is unlocked to my O2 network? it says in About I have v4.2.1.94 (Platform 3.3.0.21)

    Thanks in advance,
    Lol, sorry to say but I think that device is way too old for newer os, and I doubt it'll handle flash. Sorry... Dunno why you bought that old BB there are a lot of newer ones out there.
    07-08-10 07:03 AM
  3. BlackberryCheeseCake's Avatar
    Well I am aware it can't run the laest os but I have read others upgraded to 4.5.
    07-08-10 07:06 AM
  4. ratsttam's Avatar
    Hate to say it, but 4.5 won't give you much of what your looking for either.
    The newer ones (83xx / Curve) will have much better capabilities, in the form of more memory/faster processor, but you're still stuck at 4.5. Even 5.0 devices don't play well with flash, even with Bolt/Opera, because most sites aren't optimized for mobile viewing.
    07-08-10 07:18 AM
  5. BlackberryCheeseCake's Avatar
    I managed to find this website today and when I installed the following

    getjar.com/mobile/16671/youtube-web-for-blackberry-8707/?s=reviews

    I get an error messaage when rying to load a video which says "The protocol specified is not supported by the handheld. Please try a different url" - what does this mean?
    07-08-10 07:59 AM
LINK TO POST COPIED TO CLIPBOARD